Summary: A utility for removing files based on when they were last accessed.
Name: tmpwatch
Version: 2.6.2
Release: 3
Group: System Environment/Base
Copyright: GPL
Packager: Hao Li <hli@wag.caltech.edu>
Source0: tmpwatch-%{version}.tar.gz
Source1: tmpwatch.cron
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: psmisc

%description
The tmpwatch utility recursively searches through specified
directories and removes files which have not been accessed in a
specified period of time.  Tmpwatch is normally used to clean up
directories which are used for temporarily holding files (for example,
/tmp).  Tmpwatch ignores symlinks, won't switch filesystems and only
removes empty directories and regular files.


%prep
%setup -q


%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS -D_FILE_OFFSET_BITS=64"


%install
rm -rf $RPM_BUILD_ROOT
make PREFIX=$RPM_BUILD_ROOT MANDIR=%{_mandir} install
mkdir -p $RPM_BUILD_ROOT/etc/cron.daily
install -m0755 -p %{SOURCE1} $RPM_BUILD_ROOT/etc/cron.daily/tmpwatch


%files
%defattr(-,root,root)
/usr/sbin/tmpwatch
%{_mandir}/man8/tmpwatch.8*
%config /etc/cron.daily/tmpwatch


%clean
rm -rf $RPM_BUILD_ROOT

